# Changelog for SlidesJS Slider Module

## [1.1.0] - YYYY-MM-DD
### Added
- Added compatibility with Drupal 11
- Added new CHANGELOG.md file to track changes

### Changed
- Updated core_version_requirement in .info.yml to include Drupal 11
- Updated composer.json to include Drupal 11 compatibility
- Updated FileRepository service type-hinting for better compatibility
- Improved theme manager service call in page_attachments hook
- Updated accessCheck setting to TRUE in entity queries 
- Added drupalSettings to library dependencies
- Updated file status constant usage to use File::STATUS_PERMANENT

### Fixed
- Fixed potential deprecation notices in the module that could affect Drupal 11 compatibility

## [1.0.0] - Initial Release
- Initial version of SlidesJS Slider module with Drupal 9 and 10 compatibility 